curl --request POST \
--url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"objectID": "blackTShirt",
"name": "Black T-shirt",
"color": "#000000"
}
'// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.SaveObjectAsync(
"<YOUR_INDEX_NAME>",
new Dictionary<string, string>
{
{ "name", "Black T-shirt" },
{ "color", "#000000||black" },
{ "availableIn", "https://source.unsplash.com/100x100/?paris||Paris" },
{ "objectID", "myID" },
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.saveObject(
indexName: "<YOUR_INDEX_NAME>",
body: {
'name': "Black T-shirt",
'color': "#000000||black",
'availableIn': "https://source.unsplash.com/100x100/?paris||Paris",
'objectID': "myID",
},
);
// print the response
print(response);// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SaveObject(client.NewApiSaveObjectRequest(
"<YOUR_INDEX_NAME>",
map[string]any{
"name": "Black T-shirt",
"color": "#000000||black",
"availableIn": "https://source.unsplash.com/100x100/?paris||Paris",
"objectID": "myID",
},
))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
SaveObjectResponse response = client.saveObject(
"<YOUR_INDEX_NAME>",
new HashMap() {
{
put("name", "Black T-shirt");
put("color", "#000000||black");
put("availableIn", "https://source.unsplash.com/100x100/?paris||Paris");
put("objectID", "myID");
}
}
);
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.saveObject({
indexName: '<YOUR_INDEX_NAME>',
body: {
name: 'Black T-shirt',
color: '#000000||black',
availableIn: 'https://source.unsplash.com/100x100/?paris||Paris',
objectID: 'myID',
},
});
// print the response
console.log(response);// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.saveObject(
indexName = "<YOUR_INDEX_NAME>",
body =
buildJsonObject {
put("name", JsonPrimitive("Black T-shirt"))
put("color", JsonPrimitive("#000000||black"))
put("availableIn", JsonPrimitive("https://source.unsplash.com/100x100/?paris||Paris"))
put("objectID", JsonPrimitive("myID"))
},
)
// print the response
println(response)// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->saveObject(
'<YOUR_INDEX_NAME>',
['name' => 'Black T-shirt',
'color' => '#000000||black',
'availableIn' => 'https://source.unsplash.com/100x100/?paris||Paris',
'objectID' => 'myID',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.save_object(
index_name="<YOUR_INDEX_NAME>",
body={
"name": "Black T-shirt",
"color": "#000000||black",
"availableIn": "https://source.unsplash.com/100x100/?paris||Paris",
"objectID": "myID",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.save_object(
"<YOUR_INDEX_NAME>",
{
name: "Black T-shirt",
color: "#000000||black",
availableIn: "https://source.unsplash.com/100x100/?paris||Paris",
objectID: "myID"
}
)
# print the response
puts(response)// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.saveObject(
indexName = "<YOUR_INDEX_NAME>",
body = JObject(
List(
JField("name", JString("Black T-shirt")),
JField("color", JString("#000000||black")),
JField("availableIn", JString("https://source.unsplash.com/100x100/?paris||Paris")),
JField("objectID", JString("myID"))
)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.saveObject(
indexName: "<YOUR_INDEX_NAME>",
body: [
"name": "Black T-shirt",
"color": "#000000||black",
"availableIn": "https://source.unsplash.com/100x100/?paris||Paris",
"objectID": "myID",
]
)
// print the response
print(response){
"createdAt": "2023-07-04T12:49:15Z",
"taskID": 1514562690001,
"objectID": "test-record-123"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Add a new record (with auto-generated object ID)
Adds a record to an index or replaces it.
curl --request POST \
--url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"objectID": "blackTShirt",
"name": "Black T-shirt",
"color": "#000000"
}
'// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.SaveObjectAsync(
"<YOUR_INDEX_NAME>",
new Dictionary<string, string>
{
{ "name", "Black T-shirt" },
{ "color", "#000000||black" },
{ "availableIn", "https://source.unsplash.com/100x100/?paris||Paris" },
{ "objectID", "myID" },
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.saveObject(
indexName: "<YOUR_INDEX_NAME>",
body: {
'name': "Black T-shirt",
'color': "#000000||black",
'availableIn': "https://source.unsplash.com/100x100/?paris||Paris",
'objectID': "myID",
},
);
// print the response
print(response);// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SaveObject(client.NewApiSaveObjectRequest(
"<YOUR_INDEX_NAME>",
map[string]any{
"name": "Black T-shirt",
"color": "#000000||black",
"availableIn": "https://source.unsplash.com/100x100/?paris||Paris",
"objectID": "myID",
},
))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
SaveObjectResponse response = client.saveObject(
"<YOUR_INDEX_NAME>",
new HashMap() {
{
put("name", "Black T-shirt");
put("color", "#000000||black");
put("availableIn", "https://source.unsplash.com/100x100/?paris||Paris");
put("objectID", "myID");
}
}
);
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.saveObject({
indexName: '<YOUR_INDEX_NAME>',
body: {
name: 'Black T-shirt',
color: '#000000||black',
availableIn: 'https://source.unsplash.com/100x100/?paris||Paris',
objectID: 'myID',
},
});
// print the response
console.log(response);// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.saveObject(
indexName = "<YOUR_INDEX_NAME>",
body =
buildJsonObject {
put("name", JsonPrimitive("Black T-shirt"))
put("color", JsonPrimitive("#000000||black"))
put("availableIn", JsonPrimitive("https://source.unsplash.com/100x100/?paris||Paris"))
put("objectID", JsonPrimitive("myID"))
},
)
// print the response
println(response)// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->saveObject(
'<YOUR_INDEX_NAME>',
['name' => 'Black T-shirt',
'color' => '#000000||black',
'availableIn' => 'https://source.unsplash.com/100x100/?paris||Paris',
'objectID' => 'myID',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.save_object(
index_name="<YOUR_INDEX_NAME>",
body={
"name": "Black T-shirt",
"color": "#000000||black",
"availableIn": "https://source.unsplash.com/100x100/?paris||Paris",
"objectID": "myID",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.save_object(
"<YOUR_INDEX_NAME>",
{
name: "Black T-shirt",
color: "#000000||black",
availableIn: "https://source.unsplash.com/100x100/?paris||Paris",
objectID: "myID"
}
)
# print the response
puts(response)// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.saveObject(
indexName = "<YOUR_INDEX_NAME>",
body = JObject(
List(
JField("name", JString("Black T-shirt")),
JField("color", JString("#000000||black")),
JField("availableIn", JString("https://source.unsplash.com/100x100/?paris||Paris")),
JField("objectID", JString("myID"))
)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.saveObject(
indexName: "<YOUR_INDEX_NAME>",
body: [
"name": "Black T-shirt",
"color": "#000000||black",
"availableIn": "https://source.unsplash.com/100x100/?paris||Paris",
"objectID": "myID",
]
)
// print the response
print(response){
"createdAt": "2023-07-04T12:49:15Z",
"taskID": 1514562690001,
"objectID": "test-record-123"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}- If the record doesnโt have an object ID, a new record with an auto-generated object ID is added to your index.
- If a record with the specified object ID exists, the existing record is replaced.
- If a record with the specified object ID doesnโt exist, a new record is added to your index.
- If you add a record to an index that doesnโt exist yet, a new index is created.
partial operation.
To add, update, or replace multiple records, use the batch operation.
This operation is subject to indexing rate limits.
Required ACL: addObjectAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Name of the index on which to perform the operation.
"ALGOLIA_INDEX_NAME"
Body
The record. A schemaless object with attributes that are useful in the context of search and discovery.
The body is of type object.
Response
Created
Date and time when the object was created, in RFC 3339 format.
"2023-07-04T12:49:15Z"
Unique identifier of a task.
A successful API response means that a task was added to a queue.
It might not run immediately.
You can check the task's progress with the task operation and this task ID.
1514562690001
Unique record identifier.
"test-record-123"
Was this page helpful?